nvme_mi_admin_get_features_data(2)

NAME
nvme_mi_admin_get_features_data - Helper function for &nvme_mi_admin_get_features()

SYNOPSIS
int nvme_mi_admin_get_features_data (nvme_mi_ctrl_t ctrl , enum nvme_features_id fid , __u32 nsid , __u32 data_len , void *data , __u32 *result );

ARGUMENTS

ctrl
    Controller to send command to

fid Feature identifier

nsid
    Namespace ID, if applicable for fid

data_len
    Length of feature data, if applicable for fid, in bytes

data
    User address of feature data, if applicable

result
    The command completion result from CQE dword0

DESCRIPTION
Helper for optionally features that optionally return data, using the SEL_CURRENT selector value.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.